Subject: [DMM] DMM WG next steps

From: Jouni Korhonen <[email-masked]>
Date: Wed, 5 Mar 2014 10:09:42 +0000

Folks,

DMM WG has done some progress lately. The requirements document has
already left the building and the gap analysis is heading to WGLC as
we speak. It is about the time to think what we should do next now
that we have grown out of the infancy. 

A smaller group of mobility enthusiasts have been discussing about
possible next steps and how the possible new charter would look like. 
The current very draft text template can be found here:
	https://github.com/jounikor/dmm-re-charter

As you can see, we are still in early stages and all input it welcome.
Obviously, possible re-chartering depends on many things. For example,
things like getting the gap analysis out of the WG and what the IESG
says. Nothing has been fixed or decided yet. Anyhow, we will start the
discussion on re-chartering with the expectation that the DMM WG will
re-charter and continue developing new solutions and/or enhancements
in the IP mobility space.

- Jouni & Dapeng

---

From: Alper Yegin <[email-masked]>
Date: Wed, 5 Mar 2014 15:04:20 +0200

Jouni,

Thanks for the text.

      DMM can be used to realise such a distributed deployment
      model, by distributing mobility functions more closer to the user.

This part excludes the approaches that place the mobility function on or near the CN.

I recommend the following revision:

      DMM can be used to realise such a distributed deployment
      model, by distributing mobility functions more closer to the user
      and/or its corresponding nodes.

Alper

On Mar 5, 2014, at 12:09 PM, Jouni Korhonen wrote:

> _______________________________________________
> dmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dmm

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 11 Mar 2014 15:48:36 +0000

Hi Jouni,

I think AERO fits paragraph 3 of the proposed new charter. AERO is a
mobility solution for IPv6, where each node gets at least a /64. It
has in-built route optimization, and can run over either IPv6 or IPv4
networks as a "link layer" for mobility. AERO expects a distributed
mobility management environment, where a network of servers and
relays keeps track of mobile node locations without single point
of failure concerns.

AERO is somewhat like MIPv6, but differs in that it treats the
underlying network as a link-layer for IPv6 using a non-broadcast
multiple access (NBMA) interface model. AERO uses IPv6 ND messaging
and the IPv6 neighbor cache on the AERO "link" instead of MIPv6
mechanisms, and uses DHCPv6 PD exchanges instead of RS/RA for mobile
node coordinations. The mobile nodes can therefore act as mobile
routers and can provide stable network access for their connected
networks (where each mobile node and its connected networks is
a "site"). 

Here is a pointer to the spec. Please have a look and let me know
what you think,

https://datatracker.ietf.org/doc/draft-templin-aerolink/

Thanks - Fred
[email-masked]

> -----Original Message-----
> From: dmm [mailto:[email-masked]] On Behalf Of Jouni Korhonen
> Sent: Wednesday, March 05, 2014 2:10 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [DMM] DMM WG next steps
> 
> Folks,
>

---

From: "Sri Gundavelli (sgundave)" <[email-masked]>
Date: Wed, 12 Mar 2014 15:11:17 +0000

Also, I propose to include the following text. Based on the discussions we had in the NETEXT WG meet on last Friday, I assume Brian and the DMM chairs agreed in principle agreed to allow any PMIPv6 maintenance related extensions to be completed in DMM WG. Once the NETEXT closes, we will have a single mobility working group and that will be DMM, just as we had MEXT in the past.

"The DMM working group will also allow extensions to the Proxy Mobile IPv6 protocol, specified in RFC 5213 and RFC 5844. These extensions are maintenance-oriented and incremental in nature. Primarily to address any protocol gaps required to support  deployments and other standards development organizations using the Proxy Mobile IPv6 protocol in their system architectures."

Regards
Sri

From: Alper Yegin <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, March 5, 2014 6:04 AM
To: Jouni Korhonen <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [DMM] DMM WG next steps

Jouni,

Thanks for the text.

Alper

Folks,

- Jouni & Dapeng

_______________________________________________
dmm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dmm

---

From: Jouni Korhonen <[email-masked]>
Date: Thu, 13 Mar 2014 12:05:49 +0200

> Also, I propose to include the following text. Based on the discussions we had in the NETEXT WG meet on last Friday, I assume Brian and the DMM chairs agreed in principle agreed to allow any PMIPv6…

This is/was my understanding as well. I would, however, emphasise the 
the word "maintenance". There is a difference between a new protocol
work and maintaining a protocol.

> "The DMM working group will also allow extensions to the Proxy Mobile IPv6 protocol, specified in RFC 5213 and RFC 5844. These extensions are maintenance-oriented and incremental in nature. Primari…

Looks as a good basis. Thx.

- Jouni

> 
> Regards
> Sri
> 
> 
> 
> 
> 
> 
> From: Alper Yegin <[email-masked]>
> To: Jouni Korhonen <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>

---

From: Jouni Korhonen <[email-masked]>
Date: Thu, 13 Mar 2014 12:06:50 +0200

Alper,

Thanks. Looks good (or better than the original) to me.

- Jouni

---

From: "Sri Gundavelli (sgundave)" <[email-masked]>
Date: Thu, 13 Mar 2014 15:40:55 +0000

>work and maintaining a protocol.

I'd say, incremental extensions for ensuring deployment continuity and SDO
support. But, I agree, we don't design a NG StarTrek, all that action
already exists in DMM :), we dare not go there with this.

---

From: "Templin, Fred L" <[email-masked]>
Date: Thu, 13 Mar 2014 16:00:46 +0000

Hi Jouni,

> There is a difference between a new protocol work and maintaining a protocol.

AERO is simply an adaptation of an existing protocol (namely, IPv6 ND).
So, it should qualify as maintaining a protocol, I think? 

Thanks - Fred

---

From: Jouni Korhonen <[email-masked]>
Date: Thu, 13 Mar 2014 18:04:46 +0200

> support. But, I agree, we don't design a NG StarTrek, all that action

That is maintenance in my eyes.

- Jouni

---

From: Brian Haberman <[email-masked]>
Date: Fri, 14 Mar 2014 07:51:37 -0400

> So, it should qualify as maintaining a protocol, I think? 

IPv6 Neighbor Discovery is maintained by 6MAN.

Regards,
Brian

---

From: Jouni Korhonen <[email-masked]>
Date: Sun, 16 Mar 2014 12:04:17 +0800

Fred,

> Here is a pointer to the spec. Please have a look and let me know

There has been zero prior discussion or activity on this
topic in DMM that I recall. Furthermore, the current draft
seems to be a bis of RFC6707, driven by a single individual
and quite far in the preparation so I do not see a reason
involving this into the WG work.

- JOuni

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 17 Mar 2014 18:31:22 +0000

Hi Jouni,

> From: Jouni Korhonen [mailto:[email-masked]]
> Sent: Saturday, March 15, 2014 9:04 PM
> To: Templin, Fred L
> Cc: [email-masked]; [email-masked]

AERO is about mobility in general and distributed mobility management
in particular. It also provides a solution to the route optimization
problem cited in RFC5522 (which came from MEXT).

AERO should be of interest to anyone interested in network mobilitiy,
route optimization and distributed mobility management. IMHO, it is
a better way of doing things than prior methods and this group would
do well to consider it.

Thanks - Fred

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 17 Mar 2014 19:36:44 -0500

Hi Fred,

Why don't you submit it as a solution draft to dmm?

Then you can push for your draft instead of arguing for something that we
don't know what.

Regards,

Behcet

---

From: Weixinpeng <[email-masked]>
Date: Tue, 18 Mar 2014 06:59:40 +0000

Hi Alper,
Is there any essential difference between placing the mobility function closer to the user  and placing
the mobility function closer to the CN?   I think in some sense the user host and it's corresponding node are the same for mobility management protocol.
So what's the reason to distinguish between them?

BR,
xinpeng
From: dmm [mailto:[email-masked]] On Behalf Of Alper Yegin
Sent: Wednesday, March 05, 2014 9:04 PM
To: Jouni Korhonen
Cc: [email-masked]; [email-masked]
Subject: Re: [DMM] DMM WG next steps

Jouni,

Thanks for the text.

Alper

Folks,

- Jouni & Dapeng

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 18 Mar 2014 15:03:31 +0000

Hi Behcet,

How do you mean to submit it as a solution draft to dmm? That is essentially
what I am already proposing.

Thanks - Fred

From: Behcet Sarikaya [mailto:[email-masked]]
Sent: Monday, March 17, 2014 5:37 PM
To: Templin, Fred L
Cc: Jouni Korhonen; [email-masked]; [email-masked]
Subject: Re: [DMM] DMM WG next steps

Hi Fred,
Why don't you submit it as a solution draft to dmm?
Then you can push for your draft instead of arguing for something that we don't know what.
Regards,
Behcet

On Mon, Mar 17, 2014 at 1:31 PM, Templin, Fred L <[email-masked]<mailto:[email-masked]>> wrote:
Hi Jouni,

> From: Jouni Korhonen [mailto:[email-masked]<mailto:[email-masked]>]
> Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
> On Mar 11, 2014, at 11:48 PM, "Templin, Fred L" <[email-masked]<mailto:[email-masked]>> wrote:
>
> > Hi Jouni,
> >

Thanks - Fred
[email-masked]<mailto:[email-masked]>

> > [email-masked]<mailto:[email-masked]>
> >
> >> From: dmm [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jouni Korhonen
> >> To: [email-masked]<mailto:[email-masked]>
> >> Cc: [email-masked]<mailto:[email-masked]>

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 19 Mar 2014 19:59:45 -0500

I could not see any link to AERO draft?

Behcet

On Tue, Mar 18, 2014 at 10:03 AM, Templin, Fred L <[email-masked]
> wrote:

> *From:* Behcet Sarikaya [mailto:[email-masked]]
> *Sent:* Monday, March 17, 2014 5:37 PM
> *To:* Templin, Fred L
> *Cc:* Jouni Korhonen; [email-masked]; [email-masked]
>
> *Subject:* Re: [DMM] DMM WG next steps
>
>
>
> Hi Fred,
>
> On Mon, Mar 17, 2014 at 1:31 PM, Templin, Fred L <
> [email-masked]> wrote:
>
> Hi Jouni,
>
>

---

From: "Templin, Fred L" <[email-masked]>
Date: Thu, 20 Mar 2014 18:55:22 +0000

HI,

Here is a link to the AERO draft, which fits as a non-MIP DMM solution:

Again, anyone with interest in host- and network mobility management as
well as DMM should be interested in reading and commenting on this draft.

Thanks - Fred

From: Behcet Sarikaya [mailto:[email-masked]]
Sent: Wednesday, March 19, 2014 6:00 PM
To: Templin, Fred L
Cc: Jouni Korhonen; [email-masked]; [email-masked]
Subject: Re: [DMM] DMM WG next steps

On Tue, Mar 18, 2014 at 10:03 AM, Templin, Fred L <[email-masked]<mailto:[email-masked]>> wrote:
Hi Behcet,

Thanks - Fred

From: Behcet Sarikaya [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Monday, March 17, 2014 5:37 PM
To: Templin, Fred L
Cc: Jouni Korhonen; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

Hi Fred,

Thanks - Fred